@base <https://purl.org/coscine/ap/qudt/quantitykind/RelativeMassDefect/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/RelativeMassDefect/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Relative Mass Defect sind."@de,
    "Profile for all units that are a/an Relative Mass Defect."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Relative Mass Defect"@de,
    "Unit: Relative Mass Defect"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:FRACTION unit:GR unit:NUM unit:PERCENT unit:PERMITTIVITY_REL unit:PPB unit:PPM unit:PPTH unit:PPTM unit:PPTR unit:UNITLESS ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:FRACTION rdfs:label "Fraction"@en .
unit:GR rdfs:label "Grade"@en .
unit:NUM rdfs:label "Number"@en .
unit:PERCENT rdfs:label "Percent"@en .
unit:PERMITTIVITY_REL rdfs:label "Relative Permittivity"@en .
unit:PPB rdfs:label "Parts Per Billion"@en .
unit:PPM rdfs:label "Parts Per Million"@en .
unit:PPTH rdfs:label "Parts Per Thousand"@en .
unit:PPTM rdfs:label "Parts Per Ten Million"@en .
unit:PPTR rdfs:label "Parts Per Trillion"@en .
unit:UNITLESS rdfs:label "Unitless"@en .
